#!/bin/bash

PACKAGE=$1

cat << EOF
  test-${PACKAGE:5}:
    docker:
      - image: circleci/node:lts
      - image: trufflesuite/ganache-cli
        command: ganache-cli -i 1234 -l 9000000 -p 9545
    working_directory: ~/protocol
    resource_class: medium+
    steps:
      - restore_cache:
          key: protocol-completed-build-{{ .Environment.CIRCLE_SHA1 }}
      - run:
          name: Run tests
          command: |
            ./ci/truffle_workaround.sh
            yarn test --scope ${PACKAGE};
EOF
